'****************************************************************
'*  Name    : CAN_SEND_FAST_INC.INC                             *
'*  Author  : Bobby Garrett                                     *
'*  Notice  : Copyright (c) 2012 Bobby Garrett                  *
'*          : All Rights Reserved                               *
'*  Date    : 21/08/2012                                        *
'*  Version : 1.0                                               *
'*  Notes   :                                                   *
'*          :                                                   *
'****************************************************************

        Dim FAST_OUT[8] As Byte 
        Dim DATA_LENGTH As Byte       

        
'****************************************************************
'Process for FAST outbound transmission                         *
'**************************************************************** 
CAN_SEND_FAST:
        HRSOut "Node 1 TX FAST Routine",10,10, 13
' Implementation example
' MSGID_DATA = 3
' MSGID_TYPE = STD 
' DATA_Length = 2      
' There must always be 8 DATA bytes even if length is 1 (pad out with zeroes)
' If you wish to send zero length messages use this routine !!not strictly true now
' GoSub CAN_SEND_FAST[0x12,0x1f,0x00,0x00,0x00,0x00,0x00,0x00]
' or
' GoSub CAN_SEND_FAST[SPEED,RPM,0x00,0x00,0x00,0x00,0x00,0x00]
        
        Pop FAST_OUT[7]
        Pop FAST_OUT[6]
        Pop FAST_OUT[5]
        Pop FAST_OUT[4]
        Pop FAST_OUT[3]
        Pop FAST_OUT[2]
        Pop FAST_OUT[1]
        Pop FAST_OUT[0]
        
        Toggle TX_LED   'Flash LED - let me know it is transmitting         

        CANSetMsgID [MSGID_DATA,MSGID_TYPE]         
        CANSendMessage [FAST_OUT,DATA_LENGTH,CAN_TX_PRIORITY_0 & CAN_TX_NO_RTR_FRAME,CAN_TX_OK]  

        Return
           
