'****************************************************************
'*  Name    : 18F258_CONFIG.INC                                 *
'*  Author  : Bobby Garrett                                     *
'*  Date    : 24/06/2008                                        *
'*  Version : 1.0                                               *
'*  Notes   : Config settings for 18F258 used in CAN code       *
'*          :                                                   *
'****************************************************************

        Device = 18F258       

CONFIG_START
   OSC = HS ; HS
   OSCS = OFF ; Disabled
   PWRT = On ; Enabled
   BOR = On ; Enabled
   BORV = 45 ; 4.5V
   WDT = OFF ; Disabled
   STVR = On ; Enabled
   LVP = OFF ; Disabled
   Debug = OFF ; Disabled
   CP0 = OFF ; Disabled
   CP1 = OFF ; Disabled
   CP2 = OFF ; Disabled
   CP3 = OFF ; Disabled
   CPB = OFF ; Disabled
   CPD = OFF ; Disabled
   WRT0 = OFF ; Disabled
   WRT1 = OFF ; Disabled
   WRT2 = OFF ; Disabled
   WRT3 = OFF ; Disabled
   WRTB = OFF ; Disabled
   WRTC = OFF ; Disabled
   WRTD = OFF ; Disabled
   EBTR0 = OFF ; Disabled
   EBTR1 = OFF ; Disabled
   EBTR2 = OFF ; Disabled
   EBTR3 = OFF ; Disabled
   EBTRB = OFF ; Disabled
CONFIG_END

